package com.pcloud.book.book.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author 戴兴
 * @description TODO
 * @date 2019/3/25 15:52
 */
public class BookCountByAdvisersDto implements Serializable {

    private List<Long> adviserIds;

    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date startTime;

    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date endTime;

    public List<Long> getAdviserIds() {
        return adviserIds;
    }

    public void setAdviserIds(List<Long> adviserIds) {
        this.adviserIds = adviserIds;
    }

    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        return "BookCountByAdvisersDto{" +
                "adviserIds=" + adviserIds +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                '}';
    }
}